Article version: Enterprise Server 2.17

Page build failed: Invalid highlighter language

If your GitHub Pages code uses the highlighter tag with an invalid language identifier, your GitHub Pages site will not build.

If your GitHub Pages site fails to build because you specify an invalid highlighter language, you'll get an email with this message:

Subject: Page build failed

The page build failed with the following error:

The highlighter language identifier `invalidlanguage` is invalid.

You will only receive an email if outbound email support is enabled on your Enterprise instance. For more information, contact your site administrator.

Troubleshooting invalid highlighter language errors

Tip: We strongly recommend running Jekyll locally so you can easily debug and fix build errors before pushing to your GitHub Enterprise Server instance. To learn more about troubleshooting options, see "Troubleshooting GitHub Pages builds."

Rouge is Jekyll's default syntax highlighter and is compatible with the Pygments highlighter. Ensure that:

Further reading

Ask a human

Can't find what you're looking for?

Contact us